/* white #c9c1ac */
/* red #d3325f */

body {
    font-family: 'Mr Dafoe', cursive;
    color: #c9c1ac;
    background: url("../img/body-bcg.jpeg");
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
}
a, a:hover {
    text-decoration: none;
}
.info {
    background: #c9c1ac;
}
.primary-color {
    color: #d3325f;
}

/* social icons */
.info h2 {
    word-spacing: 0.6rem;
}
.info a {
    transition: color 2s ease-in-out;
}
.info a:hover {
    color: #232323;
}
/* end of social icons */

/* header */
#header {
    min-height: calc(100vh - 94px);
    background: linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)), url("../img/banner-bcg.jpeg");
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    background-repeat: no-repeat;
    position: relative;
    overflow: hidden;
}
.height-90 {
    min-height: calc(100vh - 94px);
}
.banner h1 {
    border-top: 6px dotted #c9c1ac;
    border-bottom: 6px dotted #c9c1ac;
    animation: fromLeft;
    visibility: hidden;
    opacity: 0;
    animation-duration: 4s;
    animation-delay: 1s;
    animation-fill-mode: forwards;
}

@keyframes fromLeft {
    0% {
       transform: translateX(-100%);
        visibility: hidden;
        opacity: 0;
    }
    50% {
        transform: translateX(30px);
    }
    100% {
        transform: translateX(0);
        visibility: visible;
        opacity: 1;
    }
}

.main-btn {
    color: #d3325f;
    font-size: 2rem;
    border: 2px solid #d3325f;
    transition: all 1s ease-in-out;
}
.main-btn:hover {
    color: #242424;
    border: 2px solid #c9c1ac;
    background: #c9c1ac;
}
.sushi-btn {
    animation: fromRight;
    animation-duration: 4s;
    animation-delay: 1s;
    animation-fill-mode: forwards;
    visibility: hidden;
    opacity: 0;
}

@keyframes fromRight {
    0% {
        transform: translateX(100%);
        visibility: hidden;
        opacity: 0;
    }
    50% {
        transform: translateX(-30px);
    }
    100% {
        transform: translateX(0);
        visibility: visible;
        opacity: 1;
    }
}

.header-link {
    display: inline-block;
    position: absolute;
    bottom: 5%;
    left: 50%;
    background: #c9c1ac;
    border-radius: 10px;
    transition: all 2s ease;
    animation: fromBottom;
    animation-duration: 4s;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
}

@keyframes fromBottom {
    0% {
        transform: translateY(-10px);
    }
    50% {
        transform: translateY(10px);
    }
    100% {
        transform: translateY(-10px);
    }
}

.header-link:hover {
    color: #242424;
}
/* end of header */
/* navaber */
.navbar {
    background: #c9c1ac;
    padding: 20px 20px;
    transition: all 1s ease;
}
.navbar-background {
    padding: 5px 20px;
}
.navbar-brand {
    font-size: 30px;
    transition: all 1s ease;
}
.navbar-brand:hover {
    color: #242424;
}
.nav-link {
    color: #242424;
    text-decoration: none;
    transition: all 1s ease;
    font-size: 23px;
}
.nav-link:hover {
    color: #d3325f;
}
.nav-btn {
    background: transparent;
    color: #d3325f;
    border: 2px solid #d3325f;
    font-size: 23px;
    transition: all 2s ease;
}
.nav-btn:hover {
    color: #242424;
    border: 2px solid #242424;
    transform: rotate(10deg);
}
.toggler-btn {
    border: 2px solid #d3325f;
    padding: 5px;
    transition: all 2s ease;
}
.bar {
    width: 30px;
    height: 3px;
    margin: 5px;
    background: #d3325f;
    transition: all .5s ease;
}

.change .bar1 {
    transform: rotate(-45deg) translate(-5px, 6px);
}
.change .bar2 {
    opacity: 0;
}
.change .bar3 {
    transform: rotate(45deg) translate(-5px, -8px);
}

/* end of navaber */
/* menu items */
.item-container {
    position: relative;
    overflow: hidden;
    background: linear-gradient(rgb(0,0,0), rgb(0,0,0));
    transition: all 2s ease;
}
.item-img {
    transition: all 2s ease;
}
.item-container:hover .item-img{
    transform: scale(1.2);
    opacity: 0.5;
}

.item-link {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #d3325f;
    font-size: 2rem;
    border-top: 3px solid #d3325f;
    border-bottom: 3px solid #d3325f;
    transition: all 2s ease;
    opacity: 0;
}
.item-container:hover .item-link {
    opacity: 1;
}
.item-link:hover {
    color: #c9c1ac;
    border: 3px solid #c9c1ac;
    background: #c9c1ac;
    color: #242424;
}
.item-container:hover {
    outline: 10px solid #d3325f;
    outline-offset: 10px;

}
/* end of menu items */
/* menu */
#menu {
    background: linear-gradient(rgba(255,255, 255,0.7), rgba(255,255, 255,0.7)), url("../img/banner-bcg.jpeg");
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    background-repeat: no-repeat;
}
.special {
    border: 3px solid #d3325f;
    position: relative;
}
.special-text {
    position: absolute;
    top: 0;
    right: 10%;
    background: #d3325f;
    padding: 0 0.4rem;
}
/* end of menu */
/* about */
.about-pictures {
    position: relative;
}
.about-image {
    position: absolute;
    width: 150px;
    transition: all 2s ease;
    opacity: 0.9;
}
.img-1 {
    top: 0;
    left: 0;
}
.img-2 {
    top: 20%;
    left: 20%;
    z-index: 10;
}
.img-3 {
    top: 45%;
    left: 40%;
    z-index: 20;
}
.img-4 {
    top: 0%;
    left: 40%;
}
.img-5 {
    top: 45%;
    left: 0%;
}
.about-image:hover {
    outline: 10px solid #d3325f;
    outline-offset: 0.9rem;
    transform: scale(1.2) rotate(20deg);
    z-index: 30;
    opacity: 1;
}
.about-pictures:hover .about-image:not(:hover) {
    opacity: 0.5;
}
/* end of about */
/* review section */
.review-img {
    width: 150px;
}
.review-item {
    background: rgba(255,255,255,0.7);
    clip-path: polygon(5% 0%, 100% 0, 95% 100%, 0% 100%);
}
/* end of review section */
/* team */
.team-icons a{
    color: #3b5998;
    transition: all 2s ease-in-out;
}
.team-icons a:hover {
    color: #242424;
    transform: translateY(-5px);
}
/* end of team */
/* contact */
.height-60 {
    min-height: 60vh;
}
#contact .card{
    background: rgba(0,0,0,0.5);
    transition: all 2s ease;
}
#contact .card:hover {
    background: rgba(0,0,0,0.8);
}
#contact .card-header{
    color: #d3325f;
}
#contact .input-group-text{
    background: #d3325f;
    border-color: #d3325f;
    color: #242424;
}
#contact .card input {
    color: #606060;
}
#contact .card input::placeholder {
    color: #606060;
}
.contact-btn {
    color: #d3325f;
    border-color: #d3325f;
    background: transparent;
    transition: all 2s ease-in-out;
}
.contact-btn:hover {
    background: #c9c1ac;
    color: #d3325f;
    border-color: #c9c1ac;
}
/* end of contact */
/* footer */
#back-to-top {
    background: #c9c1ac;
    border-radius: 10px;
    display: inline-block;
}
.scroll-top {
    position: fixed;
    bottom: 70px;
    right: 10px;
}
/* end of footer */